Package org.apache.felix.gogo.runtime

# Class Parser

java.lang.Object
org.apache.felix.gogo.runtime.Parser

public class Parser extends Object

## Constructor Summary

Constructors
Constructor
Description
`Parser(CharSequence program)`

## Method Summary

Modifier and Type
Method
Description
`void`
`array(List<Token> list, Map<Token,Token> map)`
`List<List<List<Token>>>`
`program()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parser

public Parser(CharSequence program)

## Method Details

### program

public List<List<List<Token>>> program()

### array

public void array(List<Token> list, Map<Token,Token> map) throws Exception

Throws:
  `Exception`